umbrello: CodeImpStatusPage Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Private Attributes | List of all members
CodeImpStatusPage Class Reference

`#include <codeimpstatuspage.h>`

Inheritance diagram for CodeImpStatusPage:

## Public Member Functions
| CodeImpStatusPage (QWidget *parent=0)
| ~CodeImpStatusPage ()
void | initializePage ()
bool | isComplete () const

## Protected Slots
void | importCode ()
| start importing
void | importCodeFile (bool noError=true)
| import single file
void | importNextFile (bool noError=true)
void | importCodeFinish ()
| finish importing
void | importCodeStop ()
| cancel importing
void | updateStatus (const QString &file, const QString &text)
void | messageToLog (const QString &file, const QString &text)
void | messageToApp (const QString &text)
void | populateStatusList ()
void | loggerClear ()
void | loggerExport ()

## Private Attributes
QList< QFileInfo > | m_files
| list of files to import
bool | m_workDone
bool | m_savedUndoEnabled
| saved undo enabled state
int | m_index
| index in m_files
QFileInfo | m_file
| current file
bool | m_savedlistViewVisible
| indicates previous state of list view

## Detailed Description

This class is used in the code importing wizard. It represents the second page where files are listed and imported by parsing. The status of the work and a log of actions is shown. TODO: Make the LedStatus class more private.

Author
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ CodeImpStatusPage()

CodeImpStatusPage::CodeImpStatusPage | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~CodeImpStatusPage()

CodeImpStatusPage::~CodeImpStatusPage | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ importCode

void CodeImpStatusPage::importCode | ( |  | ) |
| protectedslot

start importing

Slot for the start button. Starts the code import.

## ◆ importCodeFile

void CodeImpStatusPage::importCodeFile | ( | bool | noError = `true` | ) |
| protectedslot

import single file

## ◆ importCodeFinish

void CodeImpStatusPage::importCodeFinish | ( |  | ) |
| protectedslot

finish importing

## ◆ importCodeStop

void CodeImpStatusPage::importCodeStop | ( |  | ) |
| protectedslot

cancel importing

Slot for the stop button. Stops the code import.

## ◆ importNextFile

void CodeImpStatusPage::importNextFile | ( | bool | noError = `true` | ) |
| protectedslot

## ◆ initializePage()

void CodeImpStatusPage::initializePage | ( |  | ) |

Reimplemented QWizardPage method to initialize page after clicking next button.

## ◆ isComplete()

bool CodeImpStatusPage::isComplete | ( |  | ) | const

Reimplemented QWizardPage method the enable / disable the next button.

Returns
  complete state

## ◆ loggerClear

void CodeImpStatusPage::loggerClear | ( |  | ) |
| protectedslot

Slot for clicked events generated by the clear button of the logger. Clears the logger widget.

## ◆ loggerExport

void CodeImpStatusPage::loggerExport | ( |  | ) |
| protectedslot

Slot for clicked events generated by the export button of the logger. Writes the content of the logger widget to a file.

## ◆ messageToApp

void CodeImpStatusPage::messageToApp | ( | const QString & | text | ) |
| protectedslot

Slot for messageToApp events generated by the code import worker.

Parameters

  text | the message to write to the status bar of the main window

## ◆ messageToLog

void CodeImpStatusPage::messageToLog | ( | const QString & | file,
|  | const QString & | text
| ) |  |
| protectedslot

Writes messages of the code import to a log device.

Parameters

  file | the file for which the code was imported
  text | the text to display

## ◆ populateStatusList

void CodeImpStatusPage::populateStatusList | ( |  | ) |
| protectedslot

Fills the status list with the selected classes for generation.

## ◆ updateStatus

void CodeImpStatusPage::updateStatus | ( | const QString & | file,
|  | const QString & | text
| ) |  |
| protectedslot

Updates the status of the code import in the status table.

Parameters

  file | the file for which the code was imported
  text | the text to display

## Member Data Documentation

## ◆ m_file

QFileInfo CodeImpStatusPage::m_file
| private

current file

## ◆ m_files

QList<QFileInfo> CodeImpStatusPage::m_files
| private

list of files to import

## ◆ m_index

int CodeImpStatusPage::m_index
| private

index in m_files

## ◆ m_savedlistViewVisible

bool CodeImpStatusPage::m_savedlistViewVisible
| private

indicates previous state of list view

## ◆ m_savedUndoEnabled

bool CodeImpStatusPage::m_savedUndoEnabled
| private

saved undo enabled state

## ◆ m_workDone

bool CodeImpStatusPage::m_workDone
| private

The documentation for this class was generated from the following files:

- umbrello/codeimpwizard/codeimpstatuspage.h
- umbrello/codeimpwizard/codeimpstatuspage.cpp